// Random Dot Screen Saver
// By Jason Owens
// C Source File
// Created 4/24/2003; 4:28:53 PM

#define USE_TI89              // Produce .89z File

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files

// Main Function
void _main(void)
{
	randomize();
	int x=0,y=0,key=0,drawmode=0;
	ClrScr();
	printf("Random Dot Screen Saver.\nBy Jason Owens\na.k.a cloud867\nPress [ESC] to exit\nPress [Clear] to clear the screen.\nPress 0,1,and 2 for\ndifferent draw modes.\nPress any key to continue.");
	ngetchx();
	start:
	ClrScr();
	goahead:
	while(!kbhit())
	{
		x=random(160);
		y=random(100);
		if (drawmode==0){DrawPix(x,y,A_NORMAL);}
		if (drawmode==1){DrawPix(x,y,A_XOR);}
		if (drawmode==2){DrawPix(x,y,A_REVERSE);}
	}
	key=ngetchx();
	if (key==KEY_CLEAR){goto start;}
	if (key==KEY_MODE){drawmode++;}
	if (drawmode==3){drawmode=0;}
	if (key==KEY_ESC){goto endprog;}
	goto goahead;
	endprog:
	ClrScr();
	printf("I hope you liked this\nsmall programm\nit's my first in C. Keep on the lookout for\nHarvest Moon 89\nfor the Ti-89!\nPress any key to exit.");
  ngetchx();
}